package de.cnam.jemina.utils;

import de.cnam.jemina.config.ConfigManager;
import java.util.Calendar;
import org.apache.commons.lang3.math.NumberUtils;

/**
 * Zum Berechnen von F&auml;lligkeiten
 * @author CNAM Team (Nadine, Mike, Jens)
 * @todo: Nur Werktage ber&uuml;cksichtigen
 */
public abstract class ExpirationDateCalculator {
    
    private static ConfigManager config = ConfigManager.getInstance();
    
    /**
     * Liefert einen Zeitstempel, bis wann die Reservierung g&uuml;ltig ist
     * @return 
     */
    public static long getReserveExpirationDate() {
        return getExpirationDate(NumberUtils.toInt(config.getConfig("reservierung.haltbarkeit"), 1));
    }
    
    /**
     * Liefert einen Zeitstempel, bis wann die Ausleihe gilt
     * @return 
     */
    public static long getLoanExpirationDate() {
        return getExpirationDate(NumberUtils.toInt(config.getConfig("ausleihe.haltbarkeit"), 30));
    }
    
    
    private static long getExpirationDate(int days) {        
        Calendar cal = Calendar.getInstance();
        cal.add(Calendar.DAY_OF_MONTH, days);
        
        return cal.getTimeInMillis();
    }

}
